Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518637 - Some Volumes does not show name, while in Horizon they show UUID as name
Summary: Some Volumes does not show name, while in Horizon they show UUID as name
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Marek Aufart
QA Contact: Omri Hochman
URL:
Whiteboard: testathon
Depends On:
Blocks: 1519922
TreeView+ depends on / blocked
 
Reported: 2017-11-29 11:29 UTC by Loic Avenel
Modified: 2018-07-29 02:35 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1519922 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:33:17 UTC
Category: ---
Cloudforms Team: Openstack


Attachments (Terms of Use)

Description Loic Avenel 2017-11-29 11:29:56 UTC
Description of problem: Some Volumes does not show name, while in Horizon they show UUID as name


Version-Release number of selected component (if applicable): 5.0.9.11


How reproducible: Always


Steps to Reproduce:
1. Create a volume in OSP without name 
2. Horizon will show the UUID

Actual results: CloudForms report it without Name


Expected results: Name is visible as in Horizon


Additional info:

Comment 3 Marek Aufart 2017-11-29 15:44:21 UTC
Volume list PR: https://github.com/ManageIQ/manageiq/pull/16554

Comment 4 CFME Bot 2017-11-29 17:05:00 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/master:
https://github.com/ManageIQ/manageiq-providers-openstack/commit/e9aa9c77a20dd76000c2f0cc19d58d155d0f6551

commit e9aa9c77a20dd76000c2f0cc19d58d155d0f6551
Author:     Marek Aufart <maufart@redhat.com>
AuthorDate: Wed Nov 29 13:28:00 2017 +0100
Commit:     Marek Aufart <maufart@redhat.com>
CommitDate: Wed Nov 29 13:28:00 2017 +0100

    Set VolumeTemplate name to ID if empty
    
    OpenStack volume can have empty name. This PR set name = id when name was empty
    in order to allow user identify volume in Instance provisioning form.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1518637

 .../manageiq/providers/openstack/inventory/parser/cloud_manager.rb    | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.